OBElement Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
OBElement Class Reference

`#include <openbabel/data.h>`

List of all members.

## Public Member Functions
| OBElement ()
| OBElement (int num, const char *sym, double ARENeg, double rcov, double rvdw, int maxbo, double mass, double elNeg, double ionize, double elAffin, double red, double green, double blue, std::string name)
int | GetAtomicNum ()
char * | GetSymbol ()
double | GetCovalentRad ()
double | GetVdwRad ()
double | GetMass ()
int | GetMaxBonds ()
double | GetElectroNeg ()
double | GetAllredRochowElectroNeg ()
double | GetIonization ()
double | GetElectronAffinity ()
std::string | GetName ()
double | GetRed ()
double | GetGreen ()
double | GetBlue ()

## Detailed Description

Individual element data type.

Stores a variety of data about an individual element. Used mainly by OBElementTable.

## Constructor & Destructor Documentation

OBElement | ( |  | ) | `[inline]`

Deprecated:
  Not used. Instead, initialize element properties

OBElement | ( | int | num,
|  | const char * | sym,
|  | double | ARENeg,
|  | double | rcov,
|  | double | rvdw,
|  | int | maxbo,
|  | double | mass,
|  | double | elNeg,
|  | double | ionize,
|  | double | elAffin,
|  | double | red,
|  | double | green,
|  | double | blue,
|  | std::string | name
| ) |  | `[inline]`

Constructor

Parameters:

  num | Atomic number
  sym | Elemental symbol (maximum 3 characters)
  ARENeg | Allred-Rochow electronegativity
  rcov | Covalent radius (in Angstrom)
  rvdw | van der Waals radius (in Angstrom)
  maxbo | Maximum bonding valence
  mass | Atomic mass (in amu)
  elNeg | Electronegativity (in Pauling units)
  ionize | Ionization potential (in eV)
  elAffin | Electron affinity (in eV)
  red | RGB value for a suggest visualization color (0 .. 1)
  green | RGB value for a suggest visualization color (0 .. 1)
  blue | RGB value for a suggest visualization color (0 .. 1)
  name | Full IUPAC name

## Member Function Documentation

int GetAtomicNum | ( |  | ) | `[inline]`

Returns:
  the atomic number of this element

char* GetSymbol | ( |  | ) | `[inline]`

Returns:
  the atomic symbol for this element

double GetCovalentRad | ( |  | ) | `[inline]`

Returns:
  the covalent radius of this element

double GetVdwRad | ( |  | ) | `[inline]`

Returns:
  the van der Waals radius of this element

double GetMass | ( |  | ) | `[inline]`

Returns:
  the standard atomic mass for this element (in amu)

int GetMaxBonds | ( |  | ) | `[inline]`

Returns:
  the maximum expected number of bonds to this element

double GetElectroNeg | ( |  | ) | `[inline]`

Returns:
  the Pauling electronegativity for this element

double GetAllredRochowElectroNeg | ( |  | ) | `[inline]`

Returns:
  the Allred-Rochow electronegativity for this element

double GetIonization | ( |  | ) | `[inline]`

Returns:
  the ionization potential (in eV) of this element

double GetElectronAffinity | ( |  | ) | `[inline]`

Returns:
  the electron affinity (in eV) of this element

std::string GetName | ( |  | ) | `[inline]`

Returns:
  the name of this element (in English)

double GetRed | ( |  | ) | `[inline]`

Returns:
  the red component of this element's default visualization color

double GetGreen | ( |  | ) | `[inline]`

Returns:
  the green component of this element's default color

double GetBlue | ( |  | ) | `[inline]`

Returns:
  the blue component of this element's default color

The documentation for this class was generated from the following file:

- data.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines